본문으로 건너뛰기
API 레퍼런스
API 레퍼런스

API 키 목록 조회

현재 계정의 활성 표준 API 키 목록을 조회합니다.

현재 계정의 활성 표준 API 키 목록을 조회합니다.

엔드포인트

GET /api/v1/keys
Base URL
https://runapi.ai
API 버전
v1
인증
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
Authorization
계정 관리자 관리 API 키가 필요하며 해당 사용자가 소유한 표준 API 키만 반환합니다.
02

요청

JSON 본문

나열된 요청 위치에만 값을 전송하세요.

쿼리 매개변수필드 2개
limitinteger
선택

페이지당 반환되는 최대 API 키 수.

기본값: 20 범위: 1 - 100
pageinteger
선택

오프셋 페이지 번호. 값은 1부터 시작합니다.

기본값: 1 제한: 1
03

성공 응답

HTTP 200

GET /api/v1/keys

JSON
{
  "keys": [
    {
      "allowed_models": [
        "gpt-5.4"
      ],
      "created_at": "2026-07-27T10:00:00.000Z",
      "credit_limit_cents": 1000,
      "credit_limit_reset_interval": "daily",
      "credit_limit_windows": {
        "1d": {
          "limit_cents": 500
        },
        "1h": {
          "limit_cents": 100
        },
        "7d": {
          "limit_cents": 2000
        }
      },
      "enabled": true,
      "guardrail_id": "guardrail_123",
      "id": "token_123",
      "last_used_at": null,
      "masked_token": "runapi_abc...wxyz",
      "name": "Production"
    }
  ],
  "pagination": {
    "limit": 20,
    "page": 1,
    "pages": 1,
    "total": 1
  }
}
04

오류 응답 (401)

HTTP 401
응답 스키마
JSON
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

응답 예시

JSON
{
  "error": "Authentication required"
}
05

오류 응답 (403)

HTTP 403
응답 스키마
JSON
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

응답 예시

JSON
{
  "error": "Management API key required"
}
06

오류 응답 (403)

HTTP 403
응답 스키마
JSON
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

응답 예시

JSON
{
  "error": "Account admin required"
}
07

오류 응답 (400)

HTTP 400
응답 스키마
JSON
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 오류 메시지.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}

응답 예시

JSON
{
  "error": "page must be an integer"
}
08

cURL 예시

CURL
curl -X GET https://runapi.ai/api/v1/keys?page=1&limit=20 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'